*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body{
    min-height: 100vh;
    width: 100vw;
    overflow-x: hidden;
    overflow-y: scroll;
    background: #ffffff;
    background: radial-gradient(circle, rgba(255, 255, 255, 1) 0%, rgb(231, 231, 231) 50%, rgb(202, 202, 202) 100%);
}

iframe{
    width: 100vw;
    height: 100vh;
}

header{
    margin-top: 30px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    font-size: 1.5rem;
}

main{
    margin-top: 30px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    height: 100%;
}

a{
    text-decoration: none;
    color: black;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

section#links{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 30px;
}

div.link{
    overflow: hidden;
    border-radius: 20px;
    z-index: 2;
    position: relative;
    border: 1px solid;
    width: clamp(8%, 800px, 50%);
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
}

div.link h4{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    z-index: 2;
    font-size: 2rem;
    text-shadow: 0 0 5px white;
}

.info-btn, .github-btn{
    background-color: #ffffff;
    z-index: 2;
    top: 10px;
    right: 10px;
    position: absolute;
    aspect-ratio: 1 / 1;
    height: 35px;
    box-shadow: 0 0 3px 1px black;
    border-radius: 50%;
    transition: box-shadow .5s;
}

.info-btn:hover, .github-btn:hover{
    cursor: pointer;
    box-shadow: 0 0 6px 3px black;
}

.github-btn{
    top: 55px;
    background-image: url("./img/git.png");
    background-size: contain;
    background-repeat: no-repeat;
}

.bg-img{
    object-fit: cover;
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    filter: blur(2px);
}